## ros-kinetic-turtlebot-description 2.4.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(turtlebot_description)
find_package(catkin REQUIRED COMPONENTS urdf xacro)

catkin_package(
   CATKIN_DEPENDS urdf xacro
)

install(DIRECTORY robots
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(DIRECTORY meshes
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(DIRECTORY test
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(DIRECTORY urdf
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

if(CATKIN_ENABLE_TESTING)

	catkin_add_gtest(${PROJECT_NAME}_test_urdf test/test_urdf.cpp)

endif()

=== debian/changelog ===
ros-kinetic-turtlebot-description (2.4.2-0xenial) xenial; urgency=high

  * update astra urdf by Turtlebot REP (#248 <https://github.com/turtlebot/turtlebot/issues/248>)
    * update astra urdf by Turtlebot REP
    * update astra urdf
    * Update astra.urdf.xacro
  * Contributors: hcjung

 -- Daniel Stonier <stonier@yujinrobot.com>  Thu, 22 Dec 2016 08:00:00 -0000

ros-kinetic-turtlebot-description (2.4.1-0xenial) xenial; urgency=high

  * Update R200 URDF
    The name of the camera link has been changed to
    conform to the common standard.
  * Refactor urdf.xacro files to stop loading unnecessary content.
    Currently, every robot configuration (e.g.,
    turtlebot_description/robots/kobuki_hexagons_kinect.urdf.xacro)
    simply includes a catch-all turtlebot_library.urdf.xacro file.
    This file includes EVERY base, stacks, and sensor combination,
    and thus a lot of unnecessary data is loaded into memory.
    Refactored the turtlebot_library.urdf.xacro to include only
    the data common to all turtlebot configurations, and modified
    each robot configuration file to include only the additional base,
    stacks, and sensor urdf files that apply.
  * Contributors: Kevin C. Wells

 -- Daniel Stonier <stonier@yujinrobot.com>  Thu, 22 Dec 2016 08:00:00 -0000

ros-kinetic-turtlebot-description (2.4.0-0xenial) xenial; urgency=high

  * Fix image format on Gazebo using B8G8R8
    Related to https://github.com/ros-simulation/gazebo_ros_pkgs/issues/484
  * Add support for Intel R200 camera
    Added necessary launch, urdf, etc. files to
    add support for the R200 camera in Turtlebot.
    Updated r200 URDF to inclue proper mounting.
    Added runtime dependency on realsense_camera package.
  * Contributors: Kentaro Wada, Kevin C. Wells

 -- Daniel Stonier <stonier@yujinrobot.com>  Tue, 01 Nov 2016 07:00:00 -0000

ros-kinetic-turtlebot-description (2.3.12-0xenial) xenial; urgency=high

  * update xacro usage for jade deprecations
    comment out unused arguments generating errors
  * [turtlebot_description] adds orbbec astra urdfs and mesh
  * Contributors: Marcus Liebhardt, Tully Foote

 -- Daniel Stonier <stonier@yujinrobot.com>  Mon, 27 Jun 2016 07:00:00 -0000

ros-kinetic-turtlebot-description (2.3.11-0xenial) xenial; urgency=high



 -- Daniel Stonier <stonier@yujinrobot.com>  Wed, 15 Apr 2015 07:00:00 -0000

ros-kinetic-turtlebot-description (2.3.10-0xenial) xenial; urgency=high



 -- Daniel Stonier <stonier@yujinrobot.com>  Thu, 02 Apr 2015 07:00:00 -0000

ros-kinetic-turtlebot-description (2.3.9-0xenial) xenial; urgency=high



 -- Daniel Stonier <stonier@yujinrobot.com>  Mon, 30 Mar 2015 07:00:00 -0000

ros-kinetic-turtlebot-description (2.3.8-0xenial) xenial; urgency=high

  * replace fbx model to open collada model closes #198 <https://github.com/turtlebot/turtlebot/issues/198>
  * Contributors: Jihoon Lee

 -- Daniel Stonier <stonier@yujinrobot.com>  Mon, 23 Mar 2015 07:00:00 -0000

ros-kinetic-turtlebot-description (2.3.7-0xenial) xenial; urgency=high



 -- Daniel Stonier <stonier@yujinrobot.com>  Mon, 02 Mar 2015 08:00:00 -0000

ros-kinetic-turtlebot-description (2.3.6-0xenial) xenial; urgency=high

  * add reasons for comment #194 <https://github.com/turtlebot/turtlebot/issues/194>
  * update urdf. now new position uses asus_xtion_pro. Old position is asus_xtion_pro_offset
  * add asus, mount, and new pole
  * add urdf for asus center located version
  * Contributors: Jihoon Lee

 -- Daniel Stonier <stonier@yujinrobot.com>  Fri, 27 Feb 2015 08:00:00 -0000

ros-kinetic-turtlebot-description (2.3.5-0xenial) xenial; urgency=high



 -- Daniel Stonier <stonier@yujinrobot.com>  Mon, 12 Jan 2015 08:00:00 -0000

ros-kinetic-turtlebot-description (2.3.4-0xenial) xenial; urgency=high



 -- Daniel Stonier <stonier@yujinrobot.com>  Wed, 07 Jan 2015 08:00:00 -0000

ros-kinetic-turtlebot-description (2.3.3-0xenial) xenial; urgency=high



 -- Daniel Stonier <stonier@yujinrobot.com>  Mon, 05 Jan 2015 08:00:00 -0000

ros-kinetic-turtlebot-description (2.3.2-0xenial) xenial; urgency=high



 -- Daniel Stonier <stonier@yujinrobot.com>  Tue, 30 Dec 2014 08:00:00 -0000

ros-kinetic-turtlebot-description (2.3.1-0xenial) xenial; urgency=high

  * Issue #172 <https://github.com/turtlebot/turtlebot/issues/172>: Provide mass and inertia real values for 3D camera, stacks and poles
  * Contributors: corot

 -- Daniel Stonier <stonier@yujinrobot.com>  Tue, 30 Dec 2014 08:00:00 -0000

ros-kinetic-turtlebot-description (2.3.0-0xenial) xenial; urgency=high

  * Check if unit-testing is enabled
    CATKIN_ENABLE_TESTING is a late addtion to catkin. This updates the
    package to comply with the strict checking rule.
  * Contributors: Adam Lee

 -- Daniel Stonier <stonier@yujinrobot.com>  Sun, 30 Nov 2014 08:00:00 -0000

ros-kinetic-turtlebot-description (2.2.2-0xenial) xenial; urgency=high



 -- Daniel Stonier <stonier@yujinrobot.com>  Mon, 14 Oct 2013 07:00:00 -0000

ros-kinetic-turtlebot-description (2.2.1-0xenial) xenial; urgency=high

  * prefix test target to not collide with other targets

 -- Daniel Stonier <stonier@yujinrobot.com>  Sat, 14 Sep 2013 07:00:00 -0000

ros-kinetic-turtlebot-description (2.2.0-0xenial) xenial; urgency=high

  * Fix kinect's collision model misplacement.
  * Change hexagon stack plates collision models to cylinders.
  * Add bugtracker and repo info URLs.
  * CLip camera view at 8 m, more closely replicating real kinect.
  * Changelogs at package level.

 -- Daniel Stonier <stonier@yujinrobot.com>  Thu, 29 Aug 2013 07:00:00 -0000

ros-kinetic-turtlebot-description (2.1.1-0xenial) xenial; urgency=high

  * Update Kinect Gazebo simulation parameters
  * Remove graveyard folders
  * Remove forgotten create meshes (now in create_description)

 -- Daniel Stonier <stonier@yujinrobot.com>  Tue, 06 Aug 2013 07:00:00 -0000

ros-kinetic-turtlebot-description (2.1.0-0xenial) xenial; urgency=high

  * Catkinized


=== debian/control ===
Source: ros-kinetic-turtlebot-description
Section: misc
Priority: extra
Maintainer: Daniel Stonier <stonier@yujinrobot.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-urdf, ros-kinetic-xacro
Homepage: http://ros.org/wiki/turtlebot_description
Standards-Version: 3.9.2

Package: ros-kinetic-turtlebot-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-create-description, ros-kinetic-kobuki-description, ros-kinetic-urdf, ros-kinetic-xacro
Description: turtlebot_description provides a complete 3D model of the TurtleBot for simulation and visualization.
 The files in this package are parsed and used by a variety of other components. Most users will not interact directly with this package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-turtlebot-description//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
